

![NPM License](https://img.shields.io/npm/l/create-node-structure)

![NPM Downloads](https://img.shields.io/npm/d18m/create-node-structure)

![NPM Version](https://img.shields.io/npm/v/create-node-structure)

# create-node-structure


A CLI tool to quickly set up a structured Node.js project with a predefined folder structure and necessary configurations using just a few commands.



## Installation

This is a [Node.js](https://nodejs.org/en/) module available through the
[npm registry](https://www.npmjs.com/).

Before installing, [download and install Node.js](https://nodejs.org/en/download/).
Node.js 0.10 or higher is required.



Installation is done using the
[`npm install` command](https://docs.npmjs.com/getting-started/installing-npm-packages-locally):

```console
$ npm install -g create-node-structure
```


## Features

-📂 Magic Folder Maker: Automatically conjures up a perfect project folder structure!

-✨ Pick and Choose: Optionally add commonly used folders and files – it's like a build-your-own adventure! 🛠️

-🎨 Colorful Conversations: Enjoy an interactive setup with vibrant, colorful prompts that make configuration fun! 🌈

-🧩 Piece it Together: Easily add configuration files, routes, controllers, middleware, and more – no puzzle too complex! 🧩


## Quick Start

The quickest way to get started with Node Setup Wizard is to utilize the executable create-node-structure to generate an application as shown below:

Install the executable globally:

```console
$ npm install -g create-node-structure
```

  Create the app:

```console
$ create-node-structure my-awesome-project
```

Navigate to the project directory:

```console
$ cd my-awesome-project
```

NPM init for new project:

```console
$ npm init -y
```


Install Dependencies:-

```console
$ npm install express mongoose jsonwebtoken
```


Environment Variables:-

Replace the secret key in the .env file with your own secret key:


```console
SECRET_KEY=your-secret-key
```

Start the server:

```console
$ node index.js
```

  View the website at: http://localhost:3000

# Sample Project Structure

![Project Screenshot](https://res.cloudinary.com/dftpx188j/image/upload/v1722007311/structure_us569o.png)






## People

The original author of create-node-structure  is [Jenish Gondaliya](https://github.com/Jenishgondaliya)

## License

  [MIT](LICENSE)



